Subject: Re: [PATCH] sit: Fix ipip6_tunnel_lookup device matching criteria

From: Sergei Shtylyov <[email-masked]>
Date: Thu, 14 Aug 2014 16:08:36 +0400

Hello.

On 8/14/2014 1:32 PM, Shmulik Ladkani wrote:

> As of 4fddbf5d78, when looking up a tunnel, tunnel's underlying

    Please also specify that commit's summary line in parens.

> interface (t->parms.link) is verified to match incoming traffic's
> ingress device.

> However the comparison was incorrectly based on skb->dev->iflink.

> Instead, dev->ifindex should be used, which correctly represents the
> interface from which the IP stack hands the ipip6 packets.

> This allows setting up sit tunnels bound to vlan interfaces (otherwise
> incoming ipip6 traffic on the vlan interface was dropped due to
> ipip6_tunnel_lookup match failure).

> Signed-off-by: Shmulik Ladkani <[email-masked]>

WBR, Sergei